module WeirdInteractor
  # Base interactor for actions requiring user to be authenticated.
  class BaseAuthenticated < Base
    attr_reader :current_user

    # @param params       [ActionController::Parameters]
    # @param current_user [User]
    def initialize(params, current_user)
      super(params)
      @current_user = current_user
    end
  end
end
